Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server
Interface SecurityManager

All Known Implementing Classes:
  SecurityMetadataStore

public interface SecurityManager

Version:
  `$Revision: 1.1 $` $Id: SecurityManager.java,v 1.1 2006/01/25 16:57:06 ovidiu Exp $
Author:
  Ovidiu Feodorov

Method Summary
`javax.security.auth.Subject` | `authenticate(java.lang.String user, java.lang.String password)` Authenticate the specified user with the given password.
`boolean` | `authorize(java.lang.String user, java.util.Set rolePrincipals)` Authorize that the subject has at least one of the specified roles.
`void` | `clearSecurityConfig(boolean isQueue, java.lang.String name)`
`SecurityMetadata` | `getSecurityMetadata(boolean isQueue, java.lang.String destName)`
`void` | `setSecurityConfig(boolean isQueue, java.lang.String destName, org.w3c.dom.Element conf)`

Method Detail

### getSecurityMetadata

    public SecurityMetadata getSecurityMetadata(boolean isQueue,
                                                java.lang.String destName)

  Returns:
    the security meta-data for the given destination.

### setSecurityConfig

    public void setSecurityConfig(boolean isQueue,
                                  java.lang.String destName,
                                  org.w3c.dom.Element conf)
                           throws JMSException

  Throws:
    `JMSException`

### clearSecurityConfig

    public void clearSecurityConfig(boolean isQueue,
                                    java.lang.String name)
                             throws JMSException

  Throws:
    `JMSException`

### authenticate

    public javax.security.auth.Subject authenticate(java.lang.String user,
                                                    java.lang.String password)
                                             throws JMSSecurityException

  Authenticate the specified user with the given password. Implementations are most likely to delegates to a JBoss AuthenticationManager.

  Throws:
    `JMSSecurityException` - if the user is not authenticated

### authorize

    public boolean authorize(java.lang.String user,
                             java.util.Set rolePrincipals)

  Authorize that the subject has at least one of the specified roles. Implementations are most likely to delegates to a JBoss AuthenticationManager.

  Parameters:
    `rolePrincipals` - - The set of roles allowed to read/write/create the destination.
  Returns:
    true if the subject is authorized, or false if not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.